import request from '@/utils/request'
import constant from '@/constant'

function pageList(formData){
  return request.post(constant.serverUrl + "/base/rechargeRecord/pageList", formData);
}

function create(){
  return request.get(constant.serverUrl + "/base/rechargeRecord/create");
}

function edit(id){
  return request.get(constant.serverUrl + "/base/rechargeRecord/edit/" + id);
}

function add(formModel){
  return request.post(constant.serverUrl + "/base/rechargeRecord/add", formModel,{
    headers: {
      "Content-Type": "application/json"
    }
  });
}

function update(formModel){  
  return request.post(constant.serverUrl + "/base/rechargeRecord/update", formModel,{
    headers: {
      "Content-Type": "application/json"
    }
  });
}

function remove(id){
  return request.post(constant.serverUrl + "/base/rechargeRecord/delete/" + id);
}

function batchRemove(idList){
  return request.post(constant.serverUrl + "/base/rechargeRecord/batchDelete",idList,{
    headers: {
      "Content-Type": "application/json"
    }
  });
}

function queryRoomMessage(clientId){
  return request.get(constant.serverUrl + "/base/rechargeRecord/queryRoomMessage/" + clientId);
}

function saveRecord(idList){
  return request.post(constant.serverUrl + "/base/rechargeRecord/saveRecord",idList,{
    headers: {
      "Content-Type": "application/json"
    }
  });
}

export default {
  pageList,create,edit,add,update,remove,batchRemove,saveRecord,queryRoomMessage
}